Subject: 24.1; "scroll-bar-mode disabled" not honored when emacs started as daemon

From: Reynaldo Baquerizo <[email-masked]>
Date: Sat, 30 Jun 2012 20:14:12 -0500

In my .emacs file I keep this

(if (fboundp 'menu-bar-mode) (menu-bar-mode -1))
(if (fboundp 'tool-bar-mode) (tool-bar-mode -1))
(if (fboundp 'scroll-bar-mode) (scroll-bar-mode -1))

- I start emacs as a daemon. emacs --daemon
- I create a new frame. emacsclient -c

I expect:
A frame with no scroll-bar

Instead I get:
A frame with scroll-bar

Additional:
(fboundp 'scroll-bar-mode) evaluates to true. I checked this adding the
following and can see in buffer *Messages* the debug message.

(when (fboundp 'scroll-bar-mode)
      (scroll-bar-mode -1)
      (message "[DBG] scroll-bar-mode disabled"))

###################################################################

In GNU Emacs 24.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
 of 2012-06-11 on bitzer.hoetzel.info
Windowing system distributor `The X.Org Foundation', version 11.0.11202000
Configured using:
 `configure '--prefix=/usr' '--sysconfdir=/etc' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--with-x-toolkit=gtk' '--with-xft'
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector
 --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2'
 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: en_US.utf8
  value of $LC_MONETARY: es_PE.utf8
  value of $LC_NUMERIC: es_PE.utf8
  value of $LC_TIME: es_PE.utf8
  value of $LANG: es_PE.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  display-time-mode: t
  auto-insert-mode: t
  shell-dirtrack-mode: t
  delete-selection-mode: t
  ido-everywhere: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <down> <down> <down>
<down> <down> <down> <down> <down> C-g C-M-SPC C-g
C-M-d C-M-d C-M-u C-M-SPC C-g C-M-f C-f C-M-SPC C-g
C-M-u <down-mouse-1> <mouse-1> M-x e m a c s - C-SPC
b v u <backspace> <backspace> u g C-s C-s <return>

Recent messages:
~/.emacs and /home/rbm/dotemacs/.emacs are the same file
(No changes need to be saved)
Mark saved where search started
byte-code: Beginning of buffer [13 times]
Quit
Mark set
Quit
Mark set
Quit
Mark set
Quit

Load-path shadows:
None found.

Features:
(shadow sort mail-extr multi-isearch help-mode view tmm electric vc-hg
ibuf-ext wid-edit network-stream starttls url-cache emacsbug sendmail
server coffee-mode easy-mmode imenu ibuffer time warnings weblogger
derived message format-spec rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mailabbrev mail-utils gmm-utils mailheader xml-rpc timezone
url-http tls url url-proxy url-privacy url-expand url-methods
url-history mailcap url-auth mail-parse rfc2231 rfc2047 rfc2045
ietf-drums url-cookie url-util url-parse auth-source eieio byte-opt
bytecomp byte-compile cconv macroexp assoc gnus-util password-cache
url-gw url-vars mm-util mail-prsvr xml autoinsert erlang-flymake flymake
erlang-start ipython edmacro kmacro python-mode info-look info easymenu
compile executable shell pcomplete cl advice help-fns advice-preload
delsel ido time-date paren comint regexp-opt ansi-color ring tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer loaddefs button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)